{********************************************************************}
{ OpenAL cross platform audio library                                }
{ Copyright (C) 1999-2000 by authors.                                }
{ This library is free software; you can redistribute it and/or      }
{  modify it under the terms of the GNU Library General Public       }
{  License as published by the Free Software Foundation; either      }
{  version 2 of the License, or (at your option) any later version.  }
{                                                                    }
{ This library is distributed in the hope that it will be useful,    }
{  but WITHOUT ANY WARRANTY; without even the implied warranty of    }
{  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU }
{  Library General Public License for more details.                  }
{                                                                    }
{ You should have received a copy of the GNU Library General Public  }
{  License along with this library; if not, write to the             }
{  Free Software Foundation, Inc., 59 Temple Place - Suite 330,      }
{  Boston, MA  02111-1307, USA.                                      }
{ Or go to http://www.gnu.org/copyleft/lgpl.html                     }
{                                                                    }
{********************************************************************}

{********************************************************************}
{                                                                    }
{       Borland Delphi Runtime Library                               }
{       Copyright (c) 1995,2001 Borland International                }
{       Created by Project JEDI                                      }
{                                                                    }
{ The original Pascal code is: Alc.pas 	                             }
{ The initial developer of the Pascal code is Amresh Ramachandran    }
{                                                                    }
{ Portions created by Amresh Ramachandran are    	  			           }
{ Copyright (C) 2001 Amresh Ramachandran (amreshr@hotmail.com)       }
{                                                                    }
{                                                                    }
{ Portions created by Pranav Joshi are    	  			                 }
{ Copyright (C) 2001 Pranav Joshi  (pranavjosh@yahoo.com)            }
{                                                                    }
{       Obtained through:                                            }
{                                                                    }
{       Joint Endeavour of Delphi Innovators (Project JEDI)          }
{                                                                    }
{ You may retrieve the latest version of this file at the Project    }
{ JEDI home page, located at http://delphi-jedi.org                  }
{                                                                    }
{ The contents of this file are used with permission, subject to     }
{ the Mozilla Public License Version 1.1 (the "License"); you may    }
{ not use this file except in compliance with the License. You may   }
{ obtain a copy of the License at                                    }
{ http://www.mozilla.org/MPL/MPL-1.1.html 	                         }
{                                                                    }
{ Software distributed under the License is distributed on an 	     }
{ "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or     }
{ implied. See the License for the specific language governing       }
{ rights and limitations under the License. 				                 }
{                                                                    }
{********************************************************************}

unit Alc;

interface
//------------------------------------------------------------------------------
//
//  This is an interface unit for the use of OpenAL from within Delphi and
//  contains the translations of alc.h.
//
//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
//
// This translation is based on different sources:
//
// - first translation from Amresh Ramachandran.
// - previous versions from Pranav Joshi.
// - Amresh Ramachandran
//
//  Contact: amreshr@hotmail.com
//
//  Version: 1.0
//------------------------------------------------------------------------------
//
// 12-OCT-2001 :
//   - latest update.
//------------------------------------------------------------------------------

uses
  ALCtypes;

const
  AL32                                  = 'OpenAL32.dll';

type
  PALCcontext = ^ALCcontext;
  ALCcontext = ALCvoid;

  PALCdevice = ^ALCdevice;
  ALCdevice = ALCvoid;

function alcGetString(device: ALCdevice; param: ALCenum): PALCubyte; cdecl;
external AL32;
procedure alcGetIntegerv(device: ALCdevice; param: ALCenum; size: ALCsizei;
  data: PALCint); cdecl; external AL32;

function alcOpenDevice(deviceName: PALCuByte): ALCdevice; cdecl; external AL32;
procedure alcCloseDevice(device: ALCdevice); cdecl; external AL32;

function alcCreateContext(device: ALCdevice; attrlist: PALCint): ALCcontext;
cdecl; external AL32;
function alcMakeContextCurrent(context: ALCcontext): ALCenum; cdecl; external
AL32;
procedure alcProcessContext(context: ALCcontext); cdecl; external AL32;
function alcGetCurrentContext: ALCcontext; cdecl; external AL32;
function alcGetContextsDevice(context: ALCcontext): ALCdevice; cdecl; external
AL32;
procedure alcSuspendContext(context: ALCcontext); cdecl; external AL32;
procedure alcDestroyContext(context: ALCcontext); cdecl; external AL32;

function alcGetError(device: ALCdevice): ALCenum; cdecl; external AL32;

function alcIsExtensionPresent(device: ALCdevice; extName: PALCubyte):
  ALCboolean; cdecl; external AL32;
function alcGetProcAddress(device: ALCdevice; funcName: PALCubyte): ALCvoid;
cdecl; external AL32;
function alcGetEnumValue(device: ALCdevice; enumName: PALCubyte): ALCenum;
cdecl; external AL32;

implementation

end.
